<?php
// ウィジェットエリア
class MyWidgetItem extends WP_Widget {
	function MyWidgetItem() {
    	parent::WP_Widget(false, $name = 'Profile Widget');
    }
    function widget($args, $instance) {
        extract( $args );
        $title = apply_filters( 'widget_title', $instance['title'] );
        $username = apply_filters( 'widget_username', $instance['username'] );
        $twitter = apply_filters( 'widget_twitter', $instance['twitter'] );
        $hobby = apply_filters( 'widget_hobby', $instance['hobby'] );
        $profile = apply_filters( 'widget_profile', $instance['profile'] );
        $profileicon = apply_filters( 'widget_profileicon', $instance['profileicon'] );
?>
<li
	<?php echo 'class="widget-container"'; ?> >
	<?php if ( $title ) ?>
	<?php echo $before_title . $title . $after_title; ?>
	<?php echo '<img class="profiledata" height="70" width="70" src="' . $profileicon . '" />'; ?>
	<?php echo '<ul class="profileinfo">'; ?>
	<?php echo '<li class="profileinfo">Author</li><li class="profiledata">: ' . $username . '</li>'; ?>
	<?php echo '<li class="profileinfo">Twitter</li><li class="profiledata">:<a href="http://twitter.com/' . $twitter . '"> @' . $twitter . '</a></li>'; ?>
	<?php echo '<li class="profileinfo">Hobby</li><li class="profiledata">: ' . $hobby . '</li>'; ?>
	<?php echo '<li class="profileinfo">Introduction :</li><p class="profiledata">' . $profile . '</p>'; ?>
	<?php echo '</ul><br class="clear" />'; ?>
</li>
<?php
    }
    function update($new_instance, $old_instance) {
	$instance = $old_instance;
	$instance['title'] = strip_tags($new_instance['title']);
	$instance['username'] = strip_tags($new_instance['username']);
	$instance['twitter'] = strip_tags($new_instance['twitter']);
	$instance['hobby'] = strip_tags($new_instance['hobby']);
	$instance['profile'] = trim($new_instance['profile']);
	$instance['profileicon'] = trim($new_instance['profileicon']);
        return $instance;
    }
    function form($instance) {
        $title = esc_attr($instance['title']);
        $username = esc_attr($instance['username']);
        $twitter = esc_attr($instance['twitter']);
        $hobby = esc_attr($instance['hobby']);
        $profile = esc_attr($instance['profile']);
        $profileicon = esc_attr($instance['profileicon']);
        ?>
<p>
	<label for=""
		<?php echo $this->get_field_id('title'); ?>">
		<?php _e('ウィジェットのタイトル'); ?>
	</label>
	<input class="widefat" id=""<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
</p>

<p>
	<label for=""
		<?php echo $this->get_field_id('username'); ?>">
		<?php _e('名前'); ?>
	</label>
	<input class="widefat" id=""<?php echo $this->get_field_id('username'); ?>" name="<?php echo $this->get_field_name('username'); ?>" type="text" value="<?php echo $username; ?>" />
</p>

<p>
	<label for=""
		<?php echo $this->get_field_id('twitter'); ?>">
		<?php _e('TwitterID'); ?>
	</label>
	<input class="widefat" id=""<?php echo $this->get_field_id('twitter'); ?>" name="<?php echo $this->get_field_name('twitter'); ?>" type="text" value="<?php echo $twitter; ?>" />
</p>

<p>
	<label for=""
		<?php echo $this->get_field_id('hobby'); ?>">
		<?php _e('趣味'); ?>
	</label>
	<input class="widefat" id=""<?php echo $this->get_field_id('hobby'); ?>" name="<?php echo $this->get_field_name('hobby'); ?>" type="text" value="<?php echo $hobby; ?>" />
</p>

<p>
	<label for=""
		<?php echo $this->get_field_id('profileicon'); ?>">
		<?php _e('アイコンURL'); ?>
	</label>
	<input class="widefat" id=""<?php echo $this->get_field_id('profileicon'); ?>" name="<?php echo $this->get_field_name('profileicon'); ?>" type="text" value="<?php echo $profileicon; ?>" />
</p>

<p>
	<label for="<?php echo $this->get_field_id('profile'); ?>">
           <?php _e('紹介文'); ?>
	</label>
           <textarea  class="widefat" rows="16" colls="20" id="<?php echo $this->get_field_id('profile'); ?>" name="<?php echo $this->get_field_name('profile'); ?>"><?php echo $profile; ?></textarea>
</p>
<?php
    }
}
add_action('widgets_init', create_function('', 'return register_widget("MyWidgetItem");'));

// サイドバーのウィジェット
register_sidebar( array(
	'name' => __( 'Side left Widget' ),
	'id' => 'side-l-widget',
	'before_widget' => '<li class="widget-container">',
	'after_widget' => '</li>',
	'before_title' => '<h3>',
	'after_title' => '</h3>',
) );
register_sidebar( array(
	'name' => __( 'Side right Widget' ),
	'id' => 'side-r-widget',
	'before_widget' => '<li class="widget-container">',
	'after_widget' => '</li>',
	'before_title' => '<h3>',
	'after_title' => '</h3>',
) );
// アイキャッチ画像
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size(220, 165, true ); // 幅 220px、高さ 165px、切り抜きモード


// カスタムナビゲーションメニュー
add_theme_support('menus');
function update_profile_fields( $contactmethods ) {
	//項目の削除
	unset($contactmethods['aim']);
	unset($contactmethods['jabber']);
	unset($contactmethods['yim']);
	unset($contactmethods['googleplus']);

	return $contactmethods;
}
add_filter('user_contactmethods','update_profile_fields',10,1);
?>